Bug 1342693 - Review Request: python2-typing - Typing defines a standard notation for type annotations
Summary: Review Request: python2-typing - Typing defines a standard notation for type ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ralph Bean
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-03 22:27 UTC by kushaldas@gmail.com
Modified: 2017-01-30 18:34 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-22 23:54:54 UTC
Type: ---
rbean: fedora-review+


Attachments (Terms of Use)

Description kushaldas@gmail.com 2016-06-03 22:27:54 UTC
Spec URL: https://kushal.fedorapeople.org/packages/python-typing.spec
SRPM URL: https://kushal.fedorapeople.org/packages/python-typing-3.5.1.0-1.fc23.src.rpm
Description: Typing defines a standard notation for Python function and variable type
annotations. The notation can be used for documenting code in a concise,
standard format, and it has been designed to also be used by static and runtime
type checkers, static analyzers, IDEs and other tools.

Fedora Account System Username: kushal

Comment 2 Ralph Bean 2016-06-04 00:05:24 UTC
There's one change that you should make before importing this into dist-git.
There is a README.rst file that should be included in the %files section as a
%doc.

That aside, it looks good and simple.

Package is approved!


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 7 files have unknown license. Detailed
     output of licensecheck in
     /home/threebean/1342693-python2-typing/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-typing-3.5.1.0-1.fc23.noarch.rpm
          python2-typing-3.5.1.0-1.fc23.src.rpm
python2-typing.noarch: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
python2-typing.noarch: W: no-documentation
python2-typing.src: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
python2-typing.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
python2-typing (rpmlib, GLIBC filtered):
    python(abi)
    python2



Provides
--------
python2-typing:
    python2-typing



Source checksums
----------------
https://pypi.python.org/packages/8c/7d/24c4d40b9839b4d3e8f70ef728c483a2f543ecd26c1856828372c78f209d/typing-3.5.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 88675d0545ccb44229a745d00ca03f56364e07d0e6de318dc14686f0d985e406
  CHECKSUM(SHA256) upstream package : 88675d0545ccb44229a745d00ca03f56364e07d0e6de318dc14686f0d985e406


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1342693
Buildroot used: fedora-23-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Gwyn Ciesla 2016-06-08 21:01:43 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python2-typing

Comment 4 Fedora Update System 2016-06-14 07:01:50 UTC
python2-typing-3.5.1.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3dd4c5990d

Comment 5 Fedora Update System 2016-06-14 07:09:39 UTC
python2-typing-3.5.1.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dc8cf9dd81

Comment 6 Fedora Update System 2016-06-14 14:57:48 UTC
python2-typing-3.5.1.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dc8cf9dd81

Comment 7 Fedora Update System 2016-06-14 15:58:50 UTC
python2-typing-3.5.1.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3dd4c5990d

Comment 8 Fedora Update System 2016-06-22 23:54:52 UTC
python2-typing-3.5.1.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Neal Gompa 2016-06-23 00:35:25 UTC
This package should have never been approved this way. It's against Fedora guidelines for the source package to be versioned for Fedora. It should have been named "python-typing" and produce a subpackage called python2-typing that had the %python_provide macro used.

See guidelines: https://fedoraproject.org/wiki/Packaging:Python

Comment 10 Ralph Bean 2016-06-23 03:12:23 UTC
But... it's a backwards-compat library for a core language feature from python3 back to python2 and as such it wouldn't make sense to (ever) have a python3 version of it.

Comment 11 Fedora Update System 2016-06-23 04:53:47 UTC
python2-typing-3.5.1.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Neal Gompa 2016-06-23 12:35:14 UTC
That's not true. This module also provides a backport of the feature from Python 3.5 to Python 3.3 and Python 3.4.

Fedora 23 and 22 use Python 3.4, so it would be useful to have the Py3 feature backport there.

Comment 13 Ralph Bean 2016-06-24 14:38:39 UTC
True.

Perhaps we can do a package rename.

To help determine how important that is, Neal, do you have a direct need for this?

Comment 14 Neal Gompa 2016-06-24 17:18:09 UTC
Off the top of my head, I don't have a reason to need it right now, but it would probably be handy especially for EPEL folks who try to use the python34 packages for software.

Comment 15 Orion Poplawski 2016-10-26 22:10:05 UTC
I have need of python34-typing now in EPEL.  I see two options forward:

- There was a python-typing package approved (though quickly retired in Fedora in favor of this package), see bug #1387538.  We could use the EPEL branches of that to ship both python2- and python34-typing and retire the EPEL branches of python2-typing.

- We could review a separate python34-typing package for EPEL.  I have a package ready to go - https://www.cora.nwra.com/~orion/fedora/python34-typing-3.5.2.2-1.el7.src.rpm

I think I lean towards the first option.  Any other thoughts?

Comment 16 Tim Orling 2016-12-15 00:57:24 UTC
I also lean towards the first option.

Comment 17 Orion Poplawski 2017-01-30 18:34:07 UTC
I've submitted python-typing to EPEL7.  Please retire the EPEL7 branch of python2-typing.


Note You need to log in before you can comment on or make changes to this bug.